generateBinomialLDA {Rlda} | R Documentation

## Simulates a Binomial LDA.

### Description

Simulates a Binomial LDA.

### Usage

      ## S3 method for class 'rlda'
    generateBinomialLDA(seed0, community, variables,
                             observations,totalElements, alpha0, alpha1, ...)

### Arguments

`seed0` | Initial seed to simulate a Bernoulli LDA.
`community` | Total number of latent clusters. Must be greater than 2.
`variables` | Total number of variables. Must be greater than the number of communities.
`observations` | Total number of observations. Must be greater than 1.
`totalElements` | Total expected number of elements for each observation. Must be greater than 1.
`alpha0` | Scalar hyperparameters that must be positive.
`alpha1` | Scalar hyperparameters that must be positive.
`...` | other arguments may be useful.

### Details

Generates a list with the simulated Theta and Phi matrix of parameters, Population and and Data matrix for the Binomial LDA.

### Author(s)

- Pedro Albuquerque.
  pedroa@unb.br
  http://pedrounb.blogspot.com/

- Denis Valle.
  drvalle@ufl.edu
  http://denisvalle.weebly.com/

- Daijiang Li.
  daijianglee@gmail.com

### See Also

`generateMultinomialLDA`, `generateBernoulliLDA`

### Examples

    ## Not run:
    #Generate fake data
    res<- generateBinomialLDA.rlda(seed0=9292, community=3,
                                    variables=100, observations=1000,
                                    alpha0=0.01, alpha1=0.01, gamma=0.01)
    #Show results
    res

    ## End(Not run)

[Package Rlda version 0.2.6 Index]